<?xml version="1.0" encoding="utf-8"?>
<androidx.drawerlayout.widget.DrawerLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/categoryPage_drawerLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <!-- 左侧返回按钮和推荐标题 -->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:gravity="center_vertical">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:orientation="horizontal">

                <ImageView
                    android:id="@+id/bookrank_return"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:src="@drawable/return1" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">
                    <!-- 标题 -->
                    <TextView
                        android:id="@+id/bookrank_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="sans-serif"
                        android:text="文学"
                        android:textColor="@color/black"
                        android:textSize="16sp"
                        android:textStyle="bold" />
                    <TextView
                        android:id="@+id/bookrank_subtitle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="sans-serif"
                        android:text="10本・ 8213人关注"
                        android:textSize="16sp" />
                </LinearLayout>

            </LinearLayout>

            <Button
                android:layout_width="60dp"
                android:layout_height="30dp"
                android:text="+ 关注"
                android:layout_marginRight="30dp"
                android:textColor="@color/black"
                android:background="@drawable/white_button_bg" />
        </LinearLayout>

    </LinearLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="60dp">
        <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
            android:id="@+id/bookrank_swipeRefresh"
            android:layout_width="match_parent"
            android:layout_height="match_parent">
        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/bookrank_recyclerView"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />
        </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.drawerlayout.widget.DrawerLayout>
